GSF(1)

NAME
gsf - archiving utility using the G Structured File library

SYNOPSIS
gsf [OPTION...] SUBCOMMAND ARCHIVE...

DESCRIPTION
This manual page briefly documents the gsf command. gsf is a simple archive utility, somewhat similar to tar(1). It operates on files following one of the structured file formats understood by the G Structured File library, for example, Microsoft Excel(TM) files.

OPTIONS

  Options

-?, --help
    Show help options

-v, --version
    Display gsf's version

  Subcommands

cat Output one or more files in archive

dump
    Dump one or more files in archive as formatted hexadecimal

help
    List subcommands

list
    List files in archive

props
    Archive list of property names

EXAMPLES
To list the content structure of a Microsoft Excel(TM) file arrays.xls:

gsf list arrays.xls

To dump Workbook, an individual data stream in arrays.xls:

gsf dump arrays.xls Workbook

AUTHORS
gsf's primary authors are Morten Welinder <terra@gnome.org> and Jody Goldberg <jody@gnome.org>. The initial version of this manpage was written by J.H.M. Dassen (Ray) <jdassen@debian.org>.

SEE ALSO
gnumeric(1)